### Hierarchy

- EventTarget
  - MediaStreamTrack

## Index

### Properties

- EventTarget
- enabled
- id
- isolated
- kind
- label
- muted
- onended
- onisolationchange
- onmute
- onoverconstrained
- onunmute
- readonly
- readyState
- remote

### Methods

- addEventListener
- applyConstraints
- clone
- dispatchEvent
- getCapabilities
- getConstraints
- getSettings
- removeEventListener
- stop

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### enabled

enabled: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9978

### id

id: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9979

### isolated

isolated: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9980

### kind

kind: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9981

### label

label: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9982

### muted

muted: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9983

### onended

onended: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9984

### onisolationchange

onisolationchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9985

### onmute

onmute: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9986

### onoverconstrained

onoverconstrained: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9987

### onunmute

onunmute: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9988

### readonly

readonly: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9989

### readyState

readyState: MediaStreamTrackState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9990

### remote

remote: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9991

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9998

  #### Type parameters

  - #### K: keyof MediaStreamTrackEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: MediaStreamTrack, ev: MediaStreamTrackEventMap[K]): any

      - #### Parameters

        - ##### this: MediaStreamTrack

        - ##### ev: MediaStreamTrackEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9999

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### applyConstraints

- applyConstraints(constraints: MediaTrackConstraints): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9992

  #### Parameters

  - ##### constraints: MediaTrackConstraints

  #### Returns Promise<void>

### clone

- clone(): MediaStreamTrack

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9993

  #### Returns MediaStreamTrack

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getCapabilities

- getCapabilities(): MediaTrackCapabilities

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9994

  #### Returns MediaTrackCapabilities

### getConstraints

- getConstraints(): MediaTrackConstraints

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9995

  #### Returns MediaTrackConstraints

### getSettings

- getSettings(): MediaTrackSettings

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9996

  #### Returns MediaTrackSettings

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10000

  #### Type parameters

  - #### K: keyof MediaStreamTrackEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: MediaStreamTrack, ev: MediaStreamTrackEventMap[K]): any

      - #### Parameters

        - ##### this: MediaStreamTrack

        - ##### ev: MediaStreamTrackEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10001

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### stop

- stop(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9997

  #### Returns void

Generated using TypeDoc